"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const joi_1 = __importDefault(require("@hapi/joi"));
exports.configSchema = joi_1.default.object({
    meta: joi_1.default.object().default(),
    pagination: joi_1.default.object({
        baseUri: joi_1.default.string()
            .allow("")
            .default(undefined),
        strategy: joi_1.default.string()
            .valid(["page", "offset", "cursor"])
            .default("page"),
        strategies: joi_1.default.object({
            page: joi_1.default.object({
                number: joi_1.default.number()
                    .integer()
                    .positive()
                    .default(1),
                size: joi_1.default.number()
                    .integer()
                    .positive()
                    .default(100),
            }).default(),
            offset: joi_1.default.object({
                offset: joi_1.default.number()
                    .integer()
                    .default(0),
                limit: joi_1.default.number()
                    .integer()
                    .positive()
                    .default(100),
            }).default(),
            cursor: joi_1.default.object({
                cursor: joi_1.default.number()
                    .integer()
                    .default(0),
            }).default(),
        }).default(),
        routes: joi_1.default.object({
            include: joi_1.default.array()
                .items(joi_1.default.alternatives().try(joi_1.default.object().type(RegExp), joi_1.default.string()))
                .default(["*"]),
            exclude: joi_1.default.array()
                .items(joi_1.default.alternatives().try(joi_1.default.object().type(RegExp), joi_1.default.string()))
                .default([]),
        }).default(),
    }).default(),
});
exports.routeSchema = joi_1.default.object({
    enabled: joi_1.default.boolean(),
});
//# sourceMappingURL=schema.js.map