"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const json_api_serializer_1 = __importDefault(require("json-api-serializer"));
const config_1 = require("./config");
const post_handler_1 = require("./events/post-handler");
const pre_handler_1 = require("./events/pre-handler");
const pre_response_1 = require("./events/pre-response");
const decorator_1 = __importDefault(require("./pagination/decorator"));
const paginator_1 = require("./pagination/paginator");
const serializer_1 = require("./serializer");
exports.plugin = {
    pkg: require("../package.json"),
    once: true,
    register: (server, options = {}) => {
        config_1.config.load(server, options);
        if (config_1.config.hasError()) {
            throw config_1.config.getError();
        }
        config_1.config.set("pagination.uri", config_1.config.get("pagination.baseUri", server.info.uri));
        paginator_1.paginator.init();
        const ser = new json_api_serializer_1.default();
        server.expose("Serializer", ser);
        server.ext("onPreHandler", pre_handler_1.onPreHandler);
        server.ext("onPreResponse", pre_response_1.onPreResponse);
        server.ext("onPostHandler", post_handler_1.onPostHandler);
        server.decorate("toolkit", "withPagination", decorator_1.default().decorate);
        server.decorate("toolkit", "withJSON", serializer_1.withJSON);
    },
};
//# sourceMappingURL=index.js.map