"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const boom_1 = __importDefault(require("@hapi/boom"));
exports.default = () => {
    return {
        decorate(response, numberOfRecords, options) {
            options = options || {};
            const key = options.key;
            if (!Array.isArray(response) && !key) {
                throw boom_1.default.internal("Missing results key");
            }
            if (key && !response[key]) {
                throw boom_1.default.internal(`key: ${key} does not exists on response`);
            }
            const results = key && !Array.isArray(response) ? response[key] : response;
            if (key && !Array.isArray(response)) {
                delete response[key];
            }
            return this.response({
                results,
                numberOfRecords,
                response: Array.isArray(response) ? undefined : response,
            });
        },
    };
};
//# sourceMappingURL=decorator.js.map