"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const config_1 = require("../../config");
const strategy_1 = require("./strategy");
class CursorStrategy extends strategy_1.Strategy {
    onPreHandler(request, h, routeOptions) {
        this.setRequest(request);
        const cursorKey = "strategies.cursor.cursor";
        const cursor = lodash_1.get(routeOptions, cursorKey) || config_1.config.get(`pagination.${cursorKey}`);
        this.setQueryParameter("page[cursor]", cursor);
        return h.continue;
    }
    onPostHandler(request, h) {
        this.setRequest(request);
        return h.continue;
    }
}
exports.cursorStrategy = new CursorStrategy();
//# sourceMappingURL=cursor.js.map