"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const config_1 = require("../../config");
const strategy_1 = require("./strategy");
class OffsetStrategy extends strategy_1.Strategy {
    onPreHandler(request, h, routeOptions) {
        this.setRequest(request);
        const offsetKey = "strategies.offset.offset";
        const offset = lodash_1.get(routeOptions, offsetKey) || config_1.config.get(`pagination.${offsetKey}`);
        const limitKey = "strategies.offset.limit";
        const limit = lodash_1.get(routeOptions, limitKey) || config_1.config.get(`pagination.${limitKey}`);
        this.setQueryParameter("page[offset]", offset);
        this.setQueryParameter("page[limit]", limit);
        return h.continue;
    }
    onPostHandler(request, h) {
        this.setRequest(request);
        return h.continue;
    }
}
exports.offsetStrategy = new OffsetStrategy();
//# sourceMappingURL=offset.js.map